Serious issue on Dell EqualLogic firmware v6.0.6 and VMware VMFS (UPDATE)

UPDATE: according to a post on Cormac Hogan blog this issue is not limited to version 6.0.6. All firmware versions 5 and 6 can have this issue.

VMware released a knowledgebase article on a serious issue. Customers are advised to upgrade to firmware v6.0.6-H2 as soon as possible.

When using Dell EqualLogic Storage arrays, particularly when running PS Series firmware v6.0.6 within your ESXi/ESX environment, you may experience one or more of these symptoms:

  • Unable to power on virtual machines.
  • Virtual machines report as Invalid in the vCenter Server inventory.
  • Virtual machine files appear to be locked even though the affected virtual machine is powered off.
  • VMFS volume may be inaccessible.
  • Messages in the vmkernel log or vmkwarning log files indicate METADATA corruption or Lock Corruption.
  • Attempting to migrate a virtual machine using vMotion¬†fails with the error:
    The operation is not allowed in the current state of the host
In this scenario, there has been no other failure affecting storage in the data center such as:
  • Hard disk failure in the array
  • Controller failure in the array
  • Unexpected power outage
  • Network connectivity issues

More information here.

Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>

Current ye@r *